## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  echo = TRUE,
  eval = FALSE
)

## -----------------------------------------------------------------------------
#  library(dgpsi)
#  library(MASS)
#  library(patchwork)

## -----------------------------------------------------------------------------
#  X <- mcycle$times
#  Y <- mcycle$accel

## -----------------------------------------------------------------------------
#  X <- (X - min(X))/(max(X)-min(X))
#  Y <- scale(Y, center = TRUE, scale = TRUE)

## -----------------------------------------------------------------------------
#  plot(X, Y, pch = 16, cex = 1, xlab = 'Time', ylab = 'Acceleration', cex.axis = 1.3, cex.lab = 1.3)

## -----------------------------------------------------------------------------
#  set_seed(9999)

## -----------------------------------------------------------------------------
#  test_idx <- sample(seq_len(length(X)), size = 20)
#  train_X <- X[-test_idx]
#  train_Y <- Y[-test_idx,]
#  test_x <- X[test_idx]
#  test_y <- Y[test_idx,]

## -----------------------------------------------------------------------------
#  m_dgp <- dgp(train_X, train_Y, depth = 3, lengthscale = c(0.5, 0.2), likelihood = "Hetero", training = FALSE)

## -----------------------------------------------------------------------------
#  summary(m_dgp)

## -----------------------------------------------------------------------------
#  m_dgp <- continue(m_dgp)

## -----------------------------------------------------------------------------
#  m_gp <- gp(train_X, train_Y, nugget_est = T, nugget = 1e-2, training = FALSE)
#  summary(m_gp)

## -----------------------------------------------------------------------------
#  m_gp <- gp(train_X, train_Y, nugget_est = T, nugget = 1e-2)

## -----------------------------------------------------------------------------
#  summary(m_dgp)

## -----------------------------------------------------------------------------
#  summary(m_gp)

## -----------------------------------------------------------------------------
#  m_dgp <- validate(m_dgp, test_x, test_y)

## -----------------------------------------------------------------------------
#  m_gp <- validate(m_gp, test_x, test_y)

## -----------------------------------------------------------------------------
#  plot(m_gp, test_x, test_y)

## -----------------------------------------------------------------------------
#  plot(m_dgp, test_x, test_y)

